diff --git a/ldap/servers/slapd/filterentry.c b/ldap/servers/slapd/filterentry.c
index fe8dc28..657b4a8 100644
--- a/ldap/servers/slapd/filterentry.c
+++ b/ldap/servers/slapd/filterentry.c
@@ -115,7 +115,7 @@ slapi_filter_test_ext_internal(
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> slapi_filter_test_ext\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> slapi_filter_test_ext\n", 0, 0, 0 );
 
 	/*
 	 * RJP: Not sure if this is semantically right, but we have to
@@ -128,58 +128,58 @@ slapi_filter_test_ext_internal(
 
 	switch ( f->f_choice ) {
 	case LDAP_FILTER_EQUALITY:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    EQUALITY\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    EQUALITY\n", 0, 0, 0 );
 		rc = test_ava_filter( pb, e, e->e_attrs, &f->f_ava, LDAP_FILTER_EQUALITY,
 					verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_SUBSTRINGS:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    SUBSTRINGS\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    SUBSTRINGS\n", 0, 0, 0 );
 		rc = test_substring_filter( pb, e, f, verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_GE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    GE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    GE\n", 0, 0, 0 );
 		rc = test_ava_filter( pb, e, e->e_attrs, &f->f_ava, LDAP_FILTER_GE,
 					verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_LE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    LE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    LE\n", 0, 0, 0 );
 		rc = test_ava_filter( pb, e, e->e_attrs, &f->f_ava, LDAP_FILTER_LE,
 					verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_PRESENT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    PRESENT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    PRESENT\n", 0, 0, 0 );
 		rc = test_presence_filter( pb, e, f->f_type, verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_APPROX:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    APPROX\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    APPROX\n", 0, 0, 0 );
 		rc = test_ava_filter( pb, e, e->e_attrs, &f->f_ava, LDAP_FILTER_APPROX,
 					verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_EXTENDED:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    EXTENDED\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    EXTENDED\n", 0, 0, 0 );
 		rc = test_extensible_filter( pb, e, &f->f_mr, verify_access , only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_AND:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    AND\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    AND\n", 0, 0, 0 );
 		rc = test_filter_list( pb, e, f->f_and, 
 					LDAP_FILTER_AND , verify_access, only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_OR:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    OR\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    OR\n", 0, 0, 0 );
 		rc = test_filter_list( pb, e, f->f_or, 
 					LDAP_FILTER_OR , verify_access, only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_NOT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    NOT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    NOT\n", 0, 0, 0 );
 		rc = slapi_filter_test_ext_internal( pb, e, f->f_not , verify_access, only_check_access, access_check_done);
 		if(!(verify_access && only_check_access))  /* dont play with access control return codes */
 		{
@@ -202,12 +202,12 @@ slapi_filter_test_ext_internal(
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "    unknown filter type 0x%lX\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "    unknown filter type 0x%lX\n",
 		    f->f_choice, 0, 0 );
 		rc = -1;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= slapi_filter_test %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= slapi_filter_test %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -275,7 +275,7 @@ int test_ava_filter(
 {
 	int			rc;
 	
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> test_ava_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> test_ava_filter\n", 0, 0, 0 );
 
 	*access_check_done = 0;
 
@@ -314,7 +314,7 @@ int test_ava_filter(
 								SLAPI_ACL_SEARCH, ACLPLUGIN_ACCESS_DEFAULT, NULL );
 			*access_check_done = -1;
 			if ( only_check_access || rc != LDAP_SUCCESS ) {
-				LDAPDebug( LDAP_DEBUG_FILTER, "<= test_ava_filter %d\n",
+				LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_ava_filter %d\n",
 					rc, 0, 0 );
 				return( rc );
 			}
@@ -331,7 +331,7 @@ int test_ava_filter(
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= test_ava_filter %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_ava_filter %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -462,7 +462,7 @@ test_extensible_filter(
      */
     int	rc;
 		
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> test_extensible_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> test_extensible_filter\n", 0, 0, 0 );
 
 	*access_check_done = 0;
 
@@ -580,7 +580,7 @@ test_extensible_filter(
 		}
 	}
 
-    LDAPDebug( LDAP_DEBUG_FILTER, "<= test_extensible_filter %d\n", rc, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_extensible_filter %d\n", rc, 0, 0 );
     return( rc );
 }
 
@@ -600,7 +600,7 @@ test_filter_list(
 	struct slapi_filter	*f;
 	int access_check_tmp = -1;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> test_filter_list\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> test_filter_list\n", 0, 0, 0 );
 
 	*access_check_done = -1;
 
@@ -627,7 +627,7 @@ test_filter_list(
 			*access_check_done = 0;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= test_filter_list %d\n", nomatch, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_filter_list %d\n", nomatch, 0, 0 );
 	return( nomatch );
 }
 
@@ -683,7 +683,7 @@ int test_substring_filter(
 	Slapi_Attr	*a;
 	int		rc;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> test_substring_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> test_substring_filter\n", 0, 0, 0 );
 
 	*access_check_done = 0;
 
@@ -737,7 +737,7 @@ int test_substring_filter(
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= test_substring_filter %d\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_substring_filter %d\n",
 	    rc, 0, 0 );
 	return( rc );
 }
@@ -844,7 +844,7 @@ slapi_vattr_filter_test_ext_internal(
 {
 	int	rc = LDAP_SUCCESS;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> slapi_vattr_filter_test_ext\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> slapi_vattr_filter_test_ext\n", 0, 0, 0 );
 
 	/*
 	 * RJP: Not sure if this is semantically right, but we have to
@@ -855,11 +855,11 @@ slapi_vattr_filter_test_ext_internal(
 	  return(0);
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> test_substring_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> test_substring_filter\n", 0, 0, 0 );
 
 	switch ( f->f_choice ) {
 	case LDAP_FILTER_EQUALITY:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    EQUALITY\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    EQUALITY\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_ava.ava_type,
 											&f->f_ava.ava_value);
@@ -872,7 +872,7 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_SUBSTRINGS:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    SUBSTRINGS\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    SUBSTRINGS\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_sub_type, NULL);
 			*access_check_done = 1;
@@ -884,7 +884,7 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_GE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    GE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    GE\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_ava.ava_type,
 										&f->f_ava.ava_value);
@@ -897,7 +897,7 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_LE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    LE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    LE\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_ava.ava_type,
 										&f->f_ava.ava_value);
@@ -910,7 +910,7 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_PRESENT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    PRESENT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    PRESENT\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_type, NULL);
 			*access_check_done = 1;
@@ -922,7 +922,7 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_APPROX:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    APPROX\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    APPROX\n", 0, 0, 0 );
 		if ( verify_access ) {
 			rc = test_filter_access( pb, e, f->f_ava.ava_type,
 										&f->f_ava.ava_value);
@@ -935,25 +935,25 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	case LDAP_FILTER_EXTENDED:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    EXTENDED\n", 0, 0, 0 );		
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    EXTENDED\n", 0, 0, 0 );		
 		rc = test_extensible_filter( pb, e, &f->f_mr, verify_access ,
 											only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_AND:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    AND\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    AND\n", 0, 0, 0 );
 		rc = vattr_test_filter_list_and( pb, e, f->f_and,
 					LDAP_FILTER_AND , verify_access, only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_OR:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    OR\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    OR\n", 0, 0, 0 );
 		rc = vattr_test_filter_list_or( pb, e, f->f_or,
 					LDAP_FILTER_OR , verify_access, only_check_access, access_check_done);
 		break;
 
 	case LDAP_FILTER_NOT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "    NOT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "    NOT\n", 0, 0, 0 );
 		rc = slapi_vattr_filter_test_ext_internal( pb, e, f->f_not , verify_access, only_check_access, access_check_done);
 		if(verify_access && only_check_access) 
 		{
@@ -993,13 +993,13 @@ slapi_vattr_filter_test_ext_internal(
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "    unknown filter type 0x%lX\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "    unknown filter type 0x%lX\n",
 		    f->f_choice, 0, 0 );
 		rc = -1;
 	}
 
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= slapi_vattr_filter_test %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= slapi_vattr_filter_test %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -1037,7 +1037,7 @@ vattr_test_filter_list_and(
 	int rc = 0;
 	struct slapi_filter	*f;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> vattr_test_filter_list_and\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> vattr_test_filter_list_and\n", 0, 0, 0 );
 
 	for ( f = flist; f != NULL; f = f->f_next ) {
 		rc = slapi_vattr_filter_test_ext_internal( pb, e, f, verify_access, only_check_access, access_check_done );
@@ -1058,7 +1058,7 @@ vattr_test_filter_list_and(
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= test_filter_list_and %d\n", nomatch, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_filter_list_and %d\n", nomatch, 0, 0 );
 	if (undefined) return undefined;
 	return( nomatch );
 }
@@ -1079,7 +1079,7 @@ vattr_test_filter_list_or(
 	int rc = 0;
 	struct slapi_filter	*f;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> vattr_test_filter_list_or\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> vattr_test_filter_list_or\n", 0, 0, 0 );
 
 	for ( f = flist; f != NULL; f = f->f_next ) {
 		if ( verify_access) {
@@ -1107,7 +1107,7 @@ vattr_test_filter_list_or(
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= test_filter_list_or %d\n", nomatch, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= test_filter_list_or %d\n", nomatch, 0, 0 );
 
 	if (nomatch == 1) return undefined;
 	return( nomatch );
diff --git a/ldap/servers/slapd/init.c b/ldap/servers/slapd/init.c
index 5567d60..5ccdea8 100644
--- a/ldap/servers/slapd/init.c
+++ b/ldap/servers/slapd/init.c
@@ -35,7 +35,7 @@ slapd_init()
 
 	if ( g_get_current_conn_count_mutex() == NULL )
 	{
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "init: PR_NewLock failed\n", 0, 0, 0 );
 		exit( -1 );
 	}
@@ -44,7 +44,7 @@ slapd_init()
 	set_attr_to_protected_list(PSEUDO_ATTR_UNHASHEDUSERPASSWORD, 0);
 #ifndef HAVE_TIME_R
 	if ((time_func_mutex = PR_NewLock()) == NULL ) {
-                LDAPDebug( LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "init: PR_NewLock failed\n", 0, 0, 0 );
                 exit(-1);
         }
diff --git a/ldap/servers/slapd/libglobs.c b/ldap/servers/slapd/libglobs.c
index 538a167..9a114a0 100644
--- a/ldap/servers/slapd/libglobs.c
+++ b/ldap/servers/slapd/libglobs.c
@@ -1434,13 +1434,13 @@ FrontendConfig_init(void) {
 #if SLAPI_CFG_USE_RWLOCK == 1
   /* initialize the read/write configuration lock */
   if ( (cfg->cfg_rwlock = slapi_new_rwlock()) == NULL ) {
-	LDAPDebug ( LDAP_DEBUG_ANY, "FrontendConfig_init: "
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "FrontendConfig_init: "
 	  "failed to initialize cfg_rwlock. Exiting now.",0,0,0);
 	exit(-1);
   }
 #else
   if ((cfg->cfg_lock = PR_NewLock()) == NULL){
-	LDAPDebug(LDAP_DEBUG_ANY, "FrontendConfig_init: "
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "FrontendConfig_init: "
 	  "failed to initialize cfg_lock. Exiting now.",0,0,0);
 	exit(-1);
   }
@@ -2037,7 +2037,7 @@ config_set_port( const char *attrname, char *port, char *errorbuf, int apply ) {
   }
 
   if ( nPort == 0 ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "Information: Non-Secure Port Disabled\n", 0, 0, 0 );
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Information: Non-Secure Port Disabled\n", 0, 0, 0 );
   }
   
   if ( apply ) {
@@ -7181,7 +7181,7 @@ config_set_allowed_sasl_mechs(const char *attrname, char *value, char *errorbuf,
     remove_commas(value);
 
     if(invalid_sasl_mech(value)){
-        LDAPDebug(LDAP_DEBUG_ANY,"Invalid value/character for sasl mechanism (%s).  Use ASCII "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Invalid value/character for sasl mechanism (%s).  Use ASCII "
                                  "characters, upto 20 characters, that are upper-case letters, "
                                  "digits, hyphens, or underscores\n", value, 0, 0);
         return LDAP_UNWILLING_TO_PERFORM;
@@ -7628,7 +7628,7 @@ config_set(const char *attr, struct berval **values, char *errorbuf, int apply)
 							(char *)values[ii]->bv_val, cgas->whichlog,
 							errorbuf, apply);
 			} else {
-				LDAPDebug(LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 						  "config_set: the attribute %s is read only; ignoring new value %s\n",
 						  attr, values[ii]->bv_val, 0);
 			}
diff --git a/ldap/servers/slapd/localhost.c b/ldap/servers/slapd/localhost.c
index b5df93f..2e2a75a 100644
--- a/ldap/servers/slapd/localhost.c
+++ b/ldap/servers/slapd/localhost.c
@@ -64,7 +64,7 @@ find_localhost_DNS(void)
     if (gethostname (hostname, MAXHOSTNAMELEN)) {
         int oserr = errno;
 
-        LDAPDebug (LDAP_DEBUG_ANY, "gethostname() failed, error %d (%s)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "gethostname() failed, error %d (%s)\n",
                 oserr, slapd_system_strerror( oserr ), 0 );
         return NULL;
     }
@@ -72,23 +72,23 @@ find_localhost_DNS(void)
     if (hp == NULL) {
         int oserr = errno;
 
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "gethostbyname(\"%s\") failed, error %d (%s)\n",
                 hostname, oserr, slapd_system_strerror( oserr ));
         return NULL;
     }
     if (hp->h_name == NULL) {
-        LDAPDebug (LDAP_DEBUG_ANY, "gethostbyname(\"%s\")->h_name == NULL\n", hostname, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "gethostbyname(\"%s\")->h_name == NULL\n", hostname, 0, 0);
         return NULL;
     }
     if (strchr (hp->h_name, '.') != NULL) {
-        LDAPDebug (LDAP_DEBUG_CONFIG, "h_name == %s\n", hp->h_name, 0, 0);
+        LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "h_name == %s\n", hp->h_name, 0, 0);
         return slapi_ch_strdup (hp->h_name);
     } else if (hp->h_aliases != NULL) {
         for (alias = hp->h_aliases; *alias != NULL; ++alias) {
             if (strchr  (*alias, '.') != NULL &&
                 strncmp (*alias, hp->h_name, strlen (hp->h_name))) {
-                LDAPDebug (LDAP_DEBUG_CONFIG, "h_alias == %s\n", *alias, 0, 0);
+                LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "h_alias == %s\n", *alias, 0, 0);
                 return slapi_ch_strdup (*alias);
             }
         }
@@ -100,7 +100,7 @@ find_localhost_DNS(void)
     if (f != NULL) {
         while (fgets (line, sizeof(line), f)) {
             if (strncasecmp (line, "domain", 6) == 0 && isspace (line[6])) {
-                LDAPDebug (LDAP_DEBUG_CONFIG, "%s: %s\n", _PATH_RESCONF, line, 0);
+                LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "%s: %s\n", _PATH_RESCONF, line, 0);
                 for (cp = &line[7]; *cp && isspace(*cp); ++cp);
                 if (*cp) {
                     domain = cp;
@@ -138,7 +138,7 @@ find_localhost_DNS(void)
         PL_strcatn (hostname, sizeof(hostname), ".");
         PL_strcatn (hostname, sizeof(hostname), domain);
     }
-    LDAPDebug (LDAP_DEBUG_CONFIG, "hostname == %s\n", hostname, 0, 0);
+    LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "hostname == %s\n", hostname, 0, 0);
     return slapi_ch_strdup (hostname);
 }
 
@@ -192,7 +192,7 @@ set_localhost_DN(void)
 
     if (localhost_DNS != NULL) {
         localhost_DN = convert_DNS_to_DN (localhost_DNS);
-        LDAPDebug (LDAP_DEBUG_CONFIG, "DNS %s -> DN %s\n", localhost_DNS, localhost_DN, 0);
+        LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "DNS %s -> DN %s\n", localhost_DNS, localhost_DN, 0);
     }
     slapi_ch_free_string(&localhost_DNS);
 }
@@ -224,7 +224,7 @@ get_config_DN()
 		if ( host )
 			c = slapi_ch_malloc (20 + strlen (host));
 		else {
-			LDAPDebug (LDAP_DEBUG_CONFIG, "get_locahost_DN() returned \"\"\n",
+			LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "get_locahost_DN() returned \"\"\n",
 						 0, 0, 0);
 			c = slapi_ch_malloc (20);
 		}
diff --git a/ldap/servers/slapd/lock.c b/ldap/servers/slapd/lock.c
index 0cc4694..b74c420 100644
--- a/ldap/servers/slapd/lock.c
+++ b/ldap/servers/slapd/lock.c
@@ -33,7 +33,7 @@ lock_fopen( char *fname, char *type, FILE **lfp )
 	/* open the lock file */
 	PR_snprintf( buf, MAXPATHLEN, "%s%s", fname, ".lock" );
 	if ( (*lfp = fopen( buf, "w" )) == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "could not open \"%s\"\n", buf, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "could not open \"%s\"\n", buf, 0, 0 );
 		return( NULL );
 	}
 
@@ -48,7 +48,7 @@ lock_fopen( char *fname, char *type, FILE **lfp )
 
 	/* open the log file */
 	if ( (fp = fopen( fname, type )) == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "could not open \"%s\"\n", fname, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "could not open \"%s\"\n", fname, 0, 0 );
 #ifdef USE_LOCKF
 		lockf( fileno( *lfp ), F_ULOCK, 0 );
 #else
diff --git a/ldap/servers/slapd/log.c b/ldap/servers/slapd/log.c
index e5c6e11..18884b6 100644
--- a/ldap/servers/slapd/log.c
+++ b/ldap/servers/slapd/log.c
@@ -474,7 +474,7 @@ log_update_accesslogdir(char *pathname, int apply)
 
 	/* try to open the file, we may have a incorrect path */
 	if (! LOG_OPEN_APPEND(fp, pathname, loginfo.log_access_mode)) {
-		LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
 				"errno %d (%s)\n",
 				pathname, errno, slapd_system_strerror(errno));
 		/* stay with the current log file */
@@ -495,7 +495,7 @@ log_update_accesslogdir(char *pathname, int apply)
 	if (loginfo.log_access_fdes) {
 		LogFileInfo	*logp, *d_logp;
 
-		LDAPDebug(LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		   	"LOGINFO:Closing the access log file. "
 			"Moving to a new access log file (%s)\n", pathname,0,0);
 
@@ -629,7 +629,7 @@ log_update_auditlogdir(char *pathname, int apply)
 
 	/* try to open the file, we may have a incorrect path */
 	if (! LOG_OPEN_APPEND(fp, pathname, loginfo.log_audit_mode)) {
-		LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
 				"errno %d (%s)\n",
 				pathname, errno, slapd_system_strerror(errno));
 		/* stay with the current log file */
@@ -649,7 +649,7 @@ log_update_auditlogdir(char *pathname, int apply)
 	LOG_AUDIT_LOCK_WRITE ();
 	if (loginfo.log_audit_fdes) {
 		LogFileInfo	*logp, *d_logp;
-		LDAPDebug(LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		   	"LOGINFO:Closing the audit log file. "
 			"Moving to a new audit file (%s)\n", pathname,0,0);
 
@@ -707,7 +707,7 @@ log_update_auditfaillogdir(char *pathname, int apply)
 
     /* try to open the file, we may have a incorrect path */
     if (! LOG_OPEN_APPEND(fp, pathname, loginfo.log_auditfail_mode)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
                 "errno %d (%s)\n",
                 pathname, errno, slapd_system_strerror(errno));
         /* stay with the current log file */
@@ -727,7 +727,7 @@ log_update_auditfaillogdir(char *pathname, int apply)
     LOG_AUDITFAIL_LOCK_WRITE ();
     if (loginfo.log_auditfail_fdes) {
         LogFileInfo *logp, *d_logp;
-        LDAPDebug(LDAP_DEBUG_TRACE,
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
             "LOGINFO:Closing the auditfail log file. "
             "Moving to a new auditfail file (%s)\n", pathname,0,0);
 
@@ -880,7 +880,7 @@ log_set_numlogsperdir(const char *attrname, char *numlogs_str, int logtype, char
 	  break;
 	default:
 	  rv = LDAP_OPERATIONS_ERROR;
-	  LDAPDebug( LDAP_DEBUG_ANY, 
+	  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				 "log_set_numlogsperdir: invalid log type %d", logtype,0,0 );
 	}
   }
@@ -976,7 +976,7 @@ log_set_logsize(const char *attrname, char *logsize_str, int logtype, char *retu
 	}
 	/* logsize is in MB */
 	if (rv == 2) {
-		LDAPDebug (LDAP_DEBUG_ANY, 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 			   "Invalid value for Maximum log size:"
 			   "Maxlogsize:%d (MB) exceeds Maxdisksize:%d (MB)\n", 
 			    logsize, mdiskspace/LOG_MB_IN_BYTES,0);
@@ -2013,7 +2013,7 @@ slapd_log_audit_internal (
         if (log__needrotation(loginfo.log_audit_fdes,
                     SLAPD_AUDIT_LOG) == LOG_ROTATE) {
             if (log__open_auditlogfile(LOGFILE_NEW, 1) != LOG_SUCCESS) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "LOGINFO: Unable to open audit file:%s\n",
                     loginfo.log_audit_file,0,0);
                 LOG_AUDIT_UNLOCK_WRITE();
@@ -2072,7 +2072,7 @@ slapd_log_auditfail_internal (
         if (log__needrotation(loginfo.log_auditfail_fdes,
                     SLAPD_AUDITFAIL_LOG) == LOG_ROTATE) {
             if (log__open_auditfaillogfile(LOGFILE_NEW, 1) != LOG_SUCCESS) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "LOGINFO: Unable to open auditfail file:%s\n",
                           loginfo.log_auditfail_file,0,0);
                 LOG_AUDITFAIL_UNLOCK_WRITE();
@@ -2650,7 +2650,7 @@ log__open_accesslogfile(int logfile_state, int locked)
 		int oserr = errno;
 		loginfo.log_access_fdes = NULL;
 		if (!locked)  LOG_ACCESS_UNLOCK_WRITE();
-		LDAPDebug(LDAP_DEBUG_ANY, "access file open %s failed errno %d (%s)\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "access file open %s failed errno %d (%s)\n",
 				  loginfo.log_access_file, oserr, slapd_system_strerror(oserr));
 		return LOG_UNABLE_TO_OPENFILE;
 	}
@@ -2667,7 +2667,7 @@ log__open_accesslogfile(int logfile_state, int locked)
 	if (! LOG_OPEN_WRITE(fpinfo, loginfo.log_accessinfo_file, loginfo.log_access_mode)) {
 		int oserr = errno;
 		if (!locked) LOG_ACCESS_UNLOCK_WRITE();
-		LDAPDebug( LDAP_DEBUG_ANY, "accessinfo file open %s failed errno %d (%s)\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "accessinfo file open %s failed errno %d (%s)\n",
 					    loginfo.log_accessinfo_file,
 				            oserr, slapd_system_strerror(oserr));
 		return LOG_UNABLE_TO_OPENFILE;
@@ -2820,12 +2820,12 @@ log_rotate:
 	if (logtype!=SLAPD_ERROR_LOG)
 	{
 		if (type == LOG_SIZE_EXCEEDED) {
-			LDAPDebug (LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 				   "LOGINFO:End of Log because size exceeded(Max:%" 
 				   NSPRI64 "d bytes) (Is:%" NSPRI64 "d bytes)\n",
 				   maxlogsize, f_size, 0);
 		} else  if ( type == LOG_EXPIRED) {
-			LDAPDebug(LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 				   "LOGINFO:End of Log because time exceeded(Max:%d secs) (Is:%ld secs)\n",
 					rotationtime_secs, curr_time - log_createtime,0);
 		}
@@ -3024,7 +3024,7 @@ log__delete_rotated_logs()
 		log_convert_time (logp->l_ctime, tbuf, 1);
 		PR_snprintf (buffer, sizeof(buffer), "%s.%s", loginfo.log_access_file, tbuf);
 
-		LDAPDebug(LDAP_DEBUG_ANY,"Deleted Rotated Log: %s\n",buffer,0,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Deleted Rotated Log: %s\n",buffer,0,0);
 
 		if (PR_Delete(buffer) != PR_SUCCESS) {
 			logp = logp->l_next;
@@ -3737,7 +3737,7 @@ delete_logfile:
 	if (!locked) {
 		/* if locked, we should not call LDAPDebug, 
 		   which tries to get a lock internally. */
-		LDAPDebug(LDAP_DEBUG_TRACE, 
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 			   "LOGINFO:Removing file:%s.%s because of (%s)\n",
 					loginfo.log_error_file, tbuf,
 					logstr);
@@ -4633,7 +4633,7 @@ log__open_auditlogfile(int logfile_state, int locked)
 
 	/* open a new log file */
 	if (! LOG_OPEN_APPEND(fp, loginfo.log_audit_file, loginfo.log_audit_mode)) {
-		LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
 				"errno %d (%s)\n",
 				loginfo.log_audit_file, errno, slapd_system_strerror(errno));
 		if (!locked) LOG_AUDIT_UNLOCK_WRITE();
@@ -4654,7 +4654,7 @@ log__open_auditlogfile(int logfile_state, int locked)
 	loginfo.log_audit_state |= LOGGING_NEED_TITLE;
 
 	if (! LOG_OPEN_WRITE(fpinfo, loginfo.log_auditinfo_file, loginfo.log_audit_mode)) {
-		LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
 				"errno %d (%s)\n",
 				loginfo.log_auditinfo_file, errno, slapd_system_strerror(errno));
 		if (!locked) LOG_AUDIT_UNLOCK_WRITE();
@@ -4759,7 +4759,7 @@ log__open_auditfaillogfile(int logfile_state, int locked)
 
     /* open a new log file */
     if (! LOG_OPEN_APPEND(fp, loginfo.log_auditfail_file, loginfo.log_auditfail_mode)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
                   "errno %d (%s)\n",
                   loginfo.log_auditfail_file, errno, slapd_system_strerror(errno));
         if (!locked) LOG_AUDITFAIL_UNLOCK_WRITE();
@@ -4780,7 +4780,7 @@ log__open_auditfaillogfile(int logfile_state, int locked)
     loginfo.log_auditfail_state |= LOGGING_NEED_TITLE;
 
     if (! LOG_OPEN_WRITE(fpinfo, loginfo.log_auditfailinfo_file, loginfo.log_auditfail_mode)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't open file %s. "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't open file %s. "
                   "errno %d (%s)\n",
                   loginfo.log_auditfailinfo_file, errno, slapd_system_strerror(errno));
         if (!locked) LOG_AUDITFAIL_UNLOCK_WRITE();
@@ -4927,7 +4927,7 @@ static void log_flush_buffer(LogBufferInfo *lbi, int type, int sync_now)
         if (log__needrotation(loginfo.log_access_fdes,
 				SLAPD_ACCESS_LOG) == LOG_ROTATE) {
     		if (log__open_accesslogfile(LOGFILE_NEW, 1) != LOG_SUCCESS) {
-    			LDAPDebug(LDAP_DEBUG_ANY,
+    			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     				"LOGINFO: Unable to open access file:%s\n",
     				loginfo.log_access_file,0,0);
 			lbi->current = lbi->top; /* reset counter to prevent overwriting rest of lbi struct */
